Listview for Javascript

Updated on May 17, 2021
Learn More

Advanced list view component with gesture, swipe and drag & drop support.

Use it along Mobiscroll forms, pages or in any web or mobile hybrid app. Suited for small to large screens.

Shipping with useful features for a refined UX, including:

  • Support for alternating row color
  • Use it with single, multi-line text or custom content
  • Render cards instead of full-width rows
  • Enhance content with images, avatars and icons
  • Built-in support for sorting and ordering
  • Multiple data-source support
  • Load on demand capabilities
  • Top positioned sticy header for segmenting the list
  • Simple to advanced grouping capabilities
  • CRUD with undo functionality
  • Full-blown gesture support
  • Hierarchical listviews with variable depth
  • Multiple theme support



As part of Gesture enabled listview it can be picked up with the Framework and Complete licenses or with the component license.


Listview available for other frameworks.

Viewing demos & code for

Javascript Listview Listview for Javascript

Listview - Basic

Change demo
Basic
Javascript Listview demo for creating a simple list of items. Add stripes for alternating background colors of list items. Plain JS api for usage everywhere.
Copy code

Listview - Content

Change demo
Content
Javascript Listview demo for rendering different types of content. Use it for multi-line text, cards or any content with custom CSS. Plain JS api for usage everywhere.
Copy code

Listview - Image/Icon/Avatar

Change demo
Image/Icon/Avatar
Javascript Listview image demo for rendering content with regular images, icons and avatars. Customize it with custom CSS. Plain JS api for usage everywhere.
Copy code

Listview - Selecting items

Change demo
Selecting items
Javascript Listview item selection example. Select a single item or enable multiple selection for batch operations. Plain JS api for usage everywhere.
Copy code

Listview - Sorting & ordering

Change demo
Sorting & ordering
Javascript Listview reorder demo. Grab and sort from drag handle on the left or right side, or tap/click and hold to sort. Plain JS api for usage everywhere.
Copy code

Listview - Sticky header

Change demo
Sticky header
Javascript Listview demo with sticky header. List out names or contacts grouped alphabetically with the first letter on top. Plain JS api for usage everywhere.
Copy code

Listview - Grouping

Change demo
Grouping
Javascript Listview demo with group headers. Use it to logically segment and group items without creating multiple lists. Plain JS api for usage everywhere.
Copy code

Listview - Create, Read, Update, Delete

Change demo
Create, Read, Update, Delete
Javascript Listview demo with CRUD operations & swipe actions. Slide right to update and left to delete items. Plain JS api for usage everywhere.
Copy code

Listview - Remove/Undo

Change demo
Remove/Undo
Javascript Listview demo with swipe-away delete and built-in undo functionality. Use it for laying out notifications or any data. Plain JS api for usage everywhere.
Copy code

Listview - Swipe actions

Change demo
Swipe actions
Javascript Listview demo with swipe revealing actions. Render an action list or action menu when sliding items left and right. Plain JS api for usage everywhere.
Copy code

Listview - Hierarchy

Change demo
Hierarchy
Javascript Listview with multi-level hierarchy and drill-down interface. Featuring images, icons and text. Plain JS api for usage everywhere.
Copy code

Listview - Checklist

Change demo
Checklist
Javascript Drag & Drop checklist/tasklist with swipe actions to add/remove items from todo listview. Sorting is supported. Plain JS api for usage everywhere.
Copy code

Listview - Filtering

Change demo
Filtering
Javascript Listview demo with dynamic data and live filtering. Add and remove items on the fly or reload the full list. Plain JS api for usage everywhere.
Copy code
// Use the settings object to change the theme
mobiscroll.settings = {
    lang: ' ',
    theme: ' ',
    themeVariant: ' '
};

var formatDate = mobiscroll.util.datetime.formatDate;

var demoApp = {

    data: [],

    nothingScheduled: document.querySelector('.md-no-schedule'),

    filters: {
        range: 'today',
        calls: true,
        meetings: true
    },

    loadData: function () {
        var i,
            now = new Date(),
            data = [{
                id: 1,
                name: "Owen Adams",
                company: "Sunholdings Corp.",
                icon: "phone",
                type: "call"
            }, {
                id: 2,
                name: "Kian Phillips",
                company: "sol-flex Corp.",
                icon: "location",
                type: "meeting"
            }, {
                id: 3,
                name: "Robert Bradley",
                company: "Silvermedia",
                icon: "location",
                type: "meeting"
            }, {
                id: 4,
                name: "Lydia Young",
                company: "Zimplex",
                icon: "phone",
                type: "call"
            }, {
                id: 5,
                name: "Hollie Hudson",
                company: "Stanelectrics",
                icon: "location",
                type: "meeting"
            }, {
                id: 6,
                name: "Lynn Elliott",
                company: "Techhex",
                icon: "location",
                type: "meeting"
            }, {
                id: 7,
                name: "Konner Murray",
                company: "HACME Corp.",
                icon: "phone",
                type: "call"
            }, {
                id: 8,
                name: "Morgan Downs",
                company: "Itex Corp.",
                icon: "location",
                type: "meeting"
            }, {
                id: 9,
                name: "Warren Boone",
                company: "Sumline",
                icon: "location",
                type: "meeting"
            }, {
                id: 10,
                name: "Charlie Jenkins",
                company: "Quaddoex",
                icon: "phone",
                type: "call"
            }, {
                id: 11,
                name: "Jillian Hobbs",
                company: "Indizap",
                icon: "location",
                type: "meeting",
                formatedTime: ''
            }, {
                id: 12,
                name: "Donald Mccormick",
                company: "Zootrax",
                icon: "phone",
                type: "call"
            }, {
                id: 13,
                name: "Luke Harper",
                company: "Unihouse",
                icon: "phone",
                type: "call"
            }, {
                id: 14,
                name: "Leah West",
                company: "Ap-care",
                icon: "phone",
                type: "call"
            }, {
                id: 15,
                name: "Billie Rivas",
                company: "Technoit Corp.",
                icon: "location",
                type: "meeting"
            }, {
                id: 16,
                name: "Janae Diaz",
                company: "Plex-ron Corp.",
                icon: "location",
                type: "meeting"
            }, {
                id: 17,
                name: "Raquel Bentley",
                company: "Silicon-lax",
                icon: "phone",
                type: "call"
            }, {
                id: 18,
                name: "Harley Burke",
                company: "Lamzone",
                icon: "location",
                type: "meeting"
            }];

        // Genarate random dates
        for (i = 0; i < data.length; ++i) {
            data[i].date = new Date(
                now.getFullYear(),
                now.getMonth(),
                now.getDate() + (i > 5 ? (i - 5) : 0),
                now.getHours() + i * 2,
                Math.round((now.getMinutes() + i * 5) / 5) * 5);
        }

        this.data = data;
    },

    filter: function () {
        var i,
            item,
            start,
            end,
            range,
            now = new Date(),
            count = 0;

        switch (this.filters.range) {
            case 'today':
                start = new Date(now.setHours(0, 0, 0, 0));
                end = new Date(now.setHours(23, 59, 59, 999));
                break;
            case 'week':
                start = new Date(now.setHours(0, 0, 0, 0));
                end = new Date(
                    now.getFullYear(),
                    now.getMonth(),
                    now.getDate() + (7 - now.getDay()), 23, 59, 59, 999
                );
                break;
            default:
                range = this.range.getVal();
                start = range[0];
                end = range[1];
        }

        for (i = 0; i < this.data.length; i++) {
            item = this.data[i];
            if ((
                    (item.type == 'call' && this.filters.calls) ||
                    (item.type == 'meeting' && this.filters.meetings)
                ) && (item.date >= start) && (item.date <= end)) {
                if (!item._added) {
                    // Add to listview
                    this.listview.add(item.id, mobiscroll.$(
                        '<li data-id="' + item.id + '" data-icon="' + item.icon + '">' +
                        '<h4>' + item.name + '</h4>' +
                        '<h4>' + item.company + '</h4>' +
                        '<span class="md-time" style="position:absolute;right:1.25em;top:50%;margin-top:-9px;">' + formatDate('D d hh:ii', item.date) +
                        '</span>' +
                        '</li>'));
                    item._added = true;
                }
                count++;
            } else if (item._added) {
                // Remove from listview
                this.listview.remove(item.id);
                item._added = false;
            }
        }

        if (count === 0) {
            this.nothingScheduled.style.display = 'block';
        } else {
            this.nothingScheduled.style.display = 'none';
        }
    },

    init: function () {
        var now = new Date(),
            that = this;

        // Load data
        this.loadData();

        // Init range
        this.range = mobiscroll.range('.md-schedule-range');

        // Init listview
        this.listview = mobiscroll.listview('.md-schedule-list', {
            enhance: true,
            swipe: false,
            striped: true,
            onInit: function (ev, inst) {
                setTimeout(function () {
                    that.filter();
                });
            }
        });

        // Attach change listener to all filters
        document.querySelectorAll('.md-schedule-filter').forEach(function (elm) {
            elm.addEventListener('change', function (ev) {
                var input = ev.target;
                if (input.type == 'checkbox') {
                    that.filters[input.name] = input.checked;
                } else if (input.type == 'radio') {
                    that.filters[input.name] = input.value;
                } else if (input.name == 'custom') {
                    that.filters.range = 'custom';
                }
                that.filter();
            });
        });

        // Show rangepicker when selecting custom range
        document.querySelector('.md-schedule-custom').addEventListener('click', function () {
            that.range.show();
        });
    }
};

demoApp.init();
<div class="md-schedule" mbsc-form>
    <div class="mbsc-form-group">
        <label>
            Today
            <input mbsc-segmented type="radio" class="md-schedule-filter" value="today" name="range" checked>
        </label>
        <label>
            this Week
            <input mbsc-segmented type="radio" class="md-schedule-filter" value="week" name="range">
        </label>
        <label>
            Custom
            <input mbsc-segmented type="radio" class="md-schedule-filter md-schedule-custom" value="custom" name="range">
        </label>

        <div class="md-schedule-range md-schedule-filter"></div>

        <label>
            Show Calls
            <input mbsc-switch class="md-schedule-filter" type="checkbox" name="calls" checked>
        </label>
        <label>
            Show Meetings
            <input mbsc-switch class="md-schedule-filter" type="checkbox" name="meetings" checked>
        </label>
    </div>

    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">My Schedule</div>
        <div class="mbsc-empty md-no-schedule mbsc-cloak">
            <h3>Nothing scheduled</h3>
        </div>
        <ul class="md-schedule-list"></ul>
    </div>
</div>
.demo-main-cont.demo-comp-listview { padding: 0; }
.demo-comp-listview .demo-note { margin: 10px; }

Listview - Data sources

Change demo
Data sources
Javascript Listview demo with different ways of getting and passing data. Supporting hardcoded lists, dynamic and remote data. Plain JS api for usage everywhere.
Copy code

Listview - Load on demand

Change demo
Load on demand
Javascript Listview load on demand demo. Load data from a REST service and populate the list as users scroll content. Plain JS api for usage everywhere.
Copy code

Listview - Load more

Change demo
Load more
Javascript Listview demo with load more button for loading additional items from a REST service. Get and display records from JSON. Plain JS api for usage everywhere.
Copy code

Listview - Master-detail view

Change demo
Master-detail view

Build a two pane master-detail view with the help of the listview. Use the grid layout to set up the two columns - left side for a list of names, right side for showing the details. If you want to get into the details you could even hide the first column and build a drawer or use a hamburger menu for the master list.

Use the navigation component for the tabs and cards for building the layout of the details view.

Want to learn more about building responsive layouts?  Check out the grid layout →
Copy code

Listview - Event handlers

Change demo
Event handlers
Javascript Listview demo with event hooks for deep integration and custom functionality. With source code. Plain JS api for usage everywhere.
Clear event log
EVENTS FIRED: 
Copy code

Listview - Quick Navigation

Change demo
Quick Navigation
Javascript Listview demo with quick access to list segments. Alphabetically group items and provide a tab list for selection. Plain JS api for usage everywhere.
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Listview for Angular and Ionic Framework

Updated on May 17, 2021
Learn More

Advanced list view component with gesture, swipe and drag & drop support.

Use it along Mobiscroll forms, pages or in any web or mobile hybrid app. Suited for small to large screens.

Shipping with useful features for a refined UX, including:

  • Support for alternating row color
  • Use it with single, multi-line text or custom content
  • Render cards instead of full-width rows
  • Enhance content with images, avatars and icons
  • Built-in support for sorting and ordering
  • Multiple data-source support
  • Load on demand capabilities
  • Top positioned sticy header for segmenting the list
  • Simple to advanced grouping capabilities
  • CRUD with undo functionality
  • Full-blown gesture support
  • Hierarchical listviews with variable depth
  • Multiple theme support



As part of Gesture enabled listview it can be picked up with the Framework and Complete licenses or with the component license.


Listview available for other frameworks.

Viewing demos & code for

Angular and Ionic Listview Listview for Angular and Ionic Framework

Listview - Basic

Change demo
Basic
Angular Listview demo for creating a simple list of items. Add stripes for alternating background colors of list items. For Angular 22 and Ionic 8.
Copy code

Listview - Content

Change demo
Content
Angular Listview demo for rendering different types of content. Use it for multi-line text, cards or any content with custom CSS. For Angular 22 and Ionic 8.
Copy code

Listview - Image/Icon/Avatar

Change demo
Image/Icon/Avatar
Angular Listview image demo for rendering content with regular images, icons and avatars. Customize it with custom CSS. For Angular 22 and Ionic 8.
Copy code

Listview - Selecting items

Change demo
Selecting items
Angular Listview item selection example. Select a single item or enable multiple selection for batch operations. For Angular 22 and Ionic 8.
Copy code

Listview - Sorting & ordering

Change demo
Sorting & ordering
Angular Listview reorder demo. Grab and sort from drag handle on the left or right side, or tap/click and hold to sort. For Angular 22 and Ionic 8.
Copy code

Listview - Sticky header

Change demo
Sticky header
Angular Listview demo with sticky header. List out names or contacts grouped alphabetically with the first letter on top. For Angular 22 and Ionic 8.
Copy code

Listview - Grouping

Change demo
Grouping
Angular Listview demo with group headers. Use it to logically segment and group items without creating multiple lists. For Angular 22 and Ionic 8.
Copy code

Listview - Create, Read, Update, Delete

Change demo
Create, Read, Update, Delete
Angular Listview demo with CRUD operations & swipe actions. Slide right to update and left to delete items. For Angular 22 and Ionic 8.
Copy code

Listview - Remove/Undo

Change demo
Remove/Undo
Angular Listview demo with swipe-away delete and built-in undo functionality. Use it for laying out notifications or any data. For Angular 22 and Ionic 8.
Copy code

Listview - Swipe actions

Change demo
Swipe actions
Angular Listview demo with swipe revealing actions. Render an action list or action menu when sliding items left and right. For Angular 22 and Ionic 8.
Copy code

Listview - Hierarchy

Change demo
Hierarchy
Angular Listview with multi-level hierarchy and drill-down interface. Featuring images, icons and text. For Angular 22 and Ionic 8.
Copy code

Listview - Checklist

Change demo
Checklist
Angular Drag & Drop checklist/tasklist with swipe actions to add/remove items from todo listview. Sorting is supported. For Angular 22 and Ionic 8.
Copy code

Listview - Filtering

Change demo
Filtering
Angular Listview demo with dynamic data and live filtering. Add and remove items on the fly or reload the full list. For Angular 22 and Ionic 8.
Copy code
import { Component } from '@angular/core';
import { mobiscroll, MbscRangeOptions, MbscListviewOptions } from '@mobiscroll/angular';

mobiscroll.settings = {
    lang: ' ',
    theme: ' ',
    themeVariant: ' '
};

let now = new Date();

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html'
})
export class AppComponent {
    constructor() {
        let i,
            item,
            tempTime;

        // Genarate random dates
        for (i = 0; i < this.data.length; i++) {
            item = this.data[i];
            tempTime = new Date(
                now.getFullYear(),
                now.getMonth(),
                now.getDate() + (i > 5 ? (i - 5) : 0),
                now.getHours() + i * 2,
                Math.round((now.getMinutes() + i * 5) / 5) * 5);
            item.date = tempTime;
            item.formatedTime = mobiscroll.util.datetime.formatDate('D d hh:ii', tempTime);
        }

        this.filter();
    }

    filteredData:any = [];

    filters: any = {
        range: 'today',
        calls: true,
        meetings: true,
        customRange: [
            new Date(now.getFullYear(), now.getMonth(), now.getDate()),
            new Date(now.getFullYear(), now.getMonth(), now.getDate() + 6)
        ]
    }

    data = [{
        id: 1,
        name: "Owen Adams",
        company: "Sunholdings Corp.",
        icon: "phone",
        type: "call"
    }, {
        id: 2,
        name: "Kian Phillips",
        company: "sol-flex Corp.",
        icon: "location",
        type: "meeting"
    }, {
        id: 3,
        name: "Robert Bradley",
        company: "Silvermedia",
        icon: "location",
        type: "meeting"
    }, {
        id: 4,
        name: "Lydia Young",
        company: "Zimplex",
        icon: "phone",
        type: "call"
    }, {
        id: 5,
        name: "Hollie Hudson",
        company: "Stanelectrics",
        icon: "location",
        type: "meeting"
    }, {
        id: 6,
        name: "Lynn Elliott",
        company: "Techhex",
        icon: "location",
        type: "meeting"
    }, {
        id: 7,
        name: "Konner Murray",
        company: "HACME Corp.",
        icon: "phone",
        type: "call"
    }, {
        id: 8,
        name: "Morgan Downs",
        company: "Itex Corp.",
        icon: "location",
        type: "meeting"
    }, {
        id: 9,
        name: "Warren Boone",
        company: "Sumline",
        icon: "location",
        type: "meeting"
    }, {
        id: 10,
        name: "Charlie Jenkins",
        company: "Quaddoex",
        icon: "phone",
        type: "call"
    }, {
        id: 11,
        name: "Jillian Hobbs",
        company: "Indizap",
        icon: "location",
        type: "meeting",
        formatedTime: ''
    }, {
        id: 12,
        name: "Donald Mccormick",
        company: "Zootrax",
        icon: "phone",
        type: "call"
    }, {
        id: 13,
        name: "Luke Harper",
        company: "Unihouse",
        icon: "phone",
        type: "call"
    }, {
        id: 14,
        name: "Leah West",
        company: "Ap-care",
        icon: "phone",
        type: "call"
    }, {
        id: 15,
        name: "Billie Rivas",
        company: "Technoit Corp.",
        icon: "location",
        type: "meeting"
    }, {
        id: 16,
        name: "Janae Diaz",
        company: "Plex-ron Corp.",
        icon: "location",
        type: "meeting"
    }, {
        id: 17,
        name: "Raquel Bentley",
        company: "Silicon-lax",
        icon: "phone",
        type: "call"
    }, {
        id: 18,
        name: "Harley Burke",
        company: "Lamzone",
        icon: "location",
        type: "meeting"
    }];

    listviewSettings: MbscListviewOptions = {
        enhance: true,
        swipe: false,
        striped: true
    };

    filter() {
        var i,
            item,
            start,
            end,
            range,
            filteredData = [];

        switch (this.filters.range) {
            case 'today':
                start = new Date(now.setHours(0, 0, 0, 0));
                end = new Date(now.setHours(23, 59, 59, 999));
                break;
            case 'week':
                start = new Date(now.setHours(0, 0, 0, 0));
                end = new Date(
                    now.getFullYear(),
                    now.getMonth(),
                    now.getDate() + (7 - now.getDay()), 23, 59, 59, 999
                );
                break;
            default:
                range = this.filters.customRange;
                start = range[0];
                end = range[1];
        }

        for (i = 0; i < this.data.length; i++) {
            item = this.data[i];
            if ((
                    (item.type == 'call' && this.filters.calls) ||
                    (item.type == 'meeting' && this.filters.meetings)
                ) && (item.date >= start) && (item.date <= end)) {
                filteredData.push(item);
            }
        }

        this.filteredData = filteredData;
    }

    onChange() {
        setTimeout(() => {
            this.filter();
        });
    }
}
<mbsc-form class="md-schedule">
    <div>
        <mbsc-segmented-group [(ngModel)]="filters.range" (change)="onChange()">
            <mbsc-segmented value="today">Today</mbsc-segmented>
            <mbsc-segmented value="week">This Week</mbsc-segmented>
            <mbsc-segmented value="custom" (click)="mbscRange.instance.show()">Custom</mbsc-segmented>
        </mbsc-segmented-group>


        <div mbsc-range [(ngModel)]="filters.customRange" #mbscRange="mobiscroll" (onSet)="onChange()"></div>

        <mbsc-switch [(ngModel)]="filters.calls" (change)="onChange()">Show calls</mbsc-switch>
        <mbsc-switch [(ngModel)]="filters.meetings" (change)="onChange()">Show meetings</mbsc-switch>
    </div>
    <mbsc-form-group>
        <mbsc-form-group-title>My Schedule</mbsc-form-group-title>
        <div class="mbsc-empty" *ngIf="filteredData.length == 0">
            <h3>Nothing scheduled</h3>
        </div>
        <mbsc-listview [options]="listviewSettings">
            <mbsc-listview-item *ngFor="let item of filteredData" icon="{{ item.icon }}">
                <h4>{{ item.name }}</h4>
                <h4>{{ item.company }}</h4>
                <span class="md-time" style="position:absolute;right:1.25em;top:50%;margin-top:-9px;">{{ item.formatedTime }}</span>
            </mbsc-listview-item>
        </mbsc-listview>
    </mbsc-form-group>
</mbsc-form>
.demo-main-cont.demo-comp-listview { padding: 0; }
.demo-comp-listview .demo-note { margin: 10px; }

import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Listview - Data sources

Change demo
Data sources
Angular Listview demo with different ways of getting and passing data. Supporting hardcoded lists, dynamic and remote data. For Angular 22 and Ionic 8.
Copy code

Listview - Load on demand

Change demo
Load on demand
Angular Listview load on demand demo. Load data from a REST service and populate the list as users scroll content. For Angular 22 and Ionic 8.
Copy code

Listview - Load more

Change demo
Load more
Angular Listview demo with load more button for loading additional items from a REST service. Get and display records from JSON. For Angular 22 and Ionic 8.
Copy code

Listview - Master-detail view

Change demo
Master-detail view

Build a two pane master-detail view with the help of the listview. Use the grid layout to set up the two columns - left side for a list of names, right side for showing the details. If you want to get into the details you could even hide the first column and build a drawer or use a hamburger menu for the master list.

Use the navigation component for the tabs and cards for building the layout of the details view.

Want to learn more about building responsive layouts?  Check out the grid layout →
Copy code

Listview - Event handlers

Change demo
Event handlers
Angular Listview demo with event hooks for deep integration and custom functionality. With source code. For Angular 22 and Ionic 8.
Clear event log
EVENTS FIRED: 
Copy code

Listview - Quick Navigation

Change demo
Quick Navigation
Angular Listview demo with quick access to list segments. Alphabetically group items and provide a tab list for selection. For Angular 22 and Ionic 8.
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos